Package com.arms.api.analysis.topmenu.model

## Enum CategoryStatus

- java.lang.Object
- - java.lang.Enum<CategoryStatus>
  - - com.arms.api.analysis.topmenu.model.CategoryStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CategoryStatus>`

      public enum CategoryStatus
      extends java.lang.Enum<CategoryStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLOSED` |
    `ETC` |
    `FOLDER` |
    `IN_PROGRESS` |
    `NULL` |
    `OPEN` |
    `RESOLVED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CategoryStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CategoryStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final CategoryStatus OPEN

    - #### IN_PROGRESS

          public static final CategoryStatus IN_PROGRESS

    - #### RESOLVED

          public static final CategoryStatus RESOLVED

    - #### CLOSED

          public static final CategoryStatus CLOSED

    - #### ETC

          public static final CategoryStatus ETC

    - #### NULL

          public static final CategoryStatus NULL

    - #### FOLDER

          public static final CategoryStatus FOLDER

  - ### Method Detail

    - #### values

          public static CategoryStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CategoryStatus c : CategoryStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CategoryStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null